# bittapower-sys
bittapower框架后台管理页面，基于VUE CLI3脚手架项目；包含底层公共模块：系统中心，角色管理，菜单管理等。

# 独立运行
## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### 发布为npm包
```
npm run lib&&npm publish
```

# 被集成
## Project setup
```
yarn add bittapower-sys
```
## 集成方使用方法
### 创建VUE项目，在main.js里导入
```
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import routes from './router/routes'
import store from './store'

import jsskSys from "bittapower-sys"//本项目npm包
import "bittapower-sys/lib/bittapower-sys.css"

//因项目需要elementui，需导入
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';


Vue.config.productionTip = false
Vue.use(ElementUI)
Vue.use(jsskSys, { router, store, baseUrl: "接口请求地址前缀",_busType:"campus" })//_busType说明：校园为campus，景区为scenic
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')

```

### routes说明
```
export default [
    {
        name: "xxxxx",
        path: '/xxx/xxxx',
        component: () => import( /* webpackChunkName: "xxxx" */ `@/views/xx/xxxx`),
        meta: {
        }
    }
]
```
### store导入模块
```
import jsskSys from "bittapower-sys";
export default new Vuex.Store({
  modules: jsskSys.storeModules
})
```

### npm导出的模块
```
export default {
    storeModules: modules,//src/store/modules,用于vuex.Store
    routes: myRoutes//src/router/routes,路由列表
}
//src/components：VUE全局组件注册，不包含子目录
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
