import packageConfig from "./package.json"
import router from './src/router'
import api from './src/http'
import storeModules from './src/store/modules';
import myRoutes from "./src/router/routes"
import businessConfig from './src/config/businessConfig';
import components from "./src/components"


const install = function (Vue, options = {
    router: null,
    store: null, baseUrl: ""
}) {

    console.log("jsjk-sys version:", packageConfig.version)

    let _router = options.router, _store = options.store, _baseUrl = options.baseUrl, _busType = options.busType;
    console.log("---jsjk-sys options--", options);

    if (!_router) {
        throw new Error("not found router");
    }

    if (!_store) {
        throw new Error("not found store");
    }
    Vue.prototype.$store = _store;
    Vue.prototype.$busConfig = businessConfig(_busType);

    components.forEach(item => {
        Vue.component(item.name, item.component)
    })
    Vue.use(api, _baseUrl)
    router(_router);
}

export default {
    // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
    install,
    storeModules: storeModules,
    routes: myRoutes
    // 以下是具体的组件列表
}