/** 机构管理模块 */
import axios from '../axios'
// 分页获取机构列表
export const getInstitutionPageApi = (data) => {
  return axios({
    url: 'system/institution/getPage',
    method: 'post',
    data
  })
}
// 获取机构权限包数据
export const getInstitutionPerms = (data) => {
  return axios({
    url: 'system/institution/getInstitutionPerms',
    method: 'post',
    data
  })
}
// 获取所有机构
export const getInstitutionListApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/institution/getList',
    method: 'post',
    data
  })
}
// 新增机构
export const addInstitutionApi = (data) => {
  return axios({
    url: 'system/institution/add',
    method: 'post',
    data
  })
}
// 修改机构
export const updateInstitutionApi = (data) => {
  return axios({
    url: 'system/institution/update',
    method: 'post',
    data
  })
}
// 获取已授权（要勾选上的）和未授权的权限包数据
export const getAuthPermissionApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/institution/permission/getAuthPermission',
    method: 'post',
    data
  })
}