import axios from '../axios'
import {
  dateFormat
} from '../../utils/date.js';
/*
 * 菜单管理模块
 */

// 保存
export const save = (data) => {
  return axios({

    url: 'auth/menu/save',
    method: 'post',
    data
  })
}
// 删除
export const batchDelete = (data) => {
  return axios({

    url: 'auth/menu/delete',
    method: 'post',
    data
  })
}
// 查找导航菜单树
export const findNavTree = (data) => {
  return axios({

    url: 'auth/menu/findNavTrees',
    method: 'get',
    data
  })
}
// 查找导航菜单树
export const findMenuTree = (data) => {
  return axios({

    url: 'auth/menu/findMenuTrees',
    method: 'post',
    data
  })
}// 根据用户id查询移动端菜单树
export const findUserMenuByUserId = (data) => {
  return axios({

    url: 'auth/menu/findUserMenuByUserId',
    method: 'get',
    data
  })
}
// 查找导航菜单树
export const findMenuTreeForTree = (data) => {
  return axios({

    url: 'auth/menu/findMenuTree',
    method: 'get',
    data
  })
}
// 根据菜单所属查找导航菜单树
export const findMenuTreeByMenuFor = (data) => {
  return axios({

    url: 'auth/menu/findMenuTreesByMenuFor',
    method: 'get',
    data
  })
}
// 根据名称查找导航菜单树
export const findMenuTreeByName = (data) => {
  return axios({

    url: 'auth/menu/findMenuTreeByName',
    method: 'get',
    data
  })
}
// 根据角色id查找导航菜单树
export const findMenuTreeByRoleId = (data) => {
  return axios({

    url: 'auth/menu/findMenuTreeByRoleId',
    method: 'get',
    data
  })
}

// 查找导航菜单树
export const findMenuTreeNavForTree = (data) => {
  return axios({

    url: 'auth/menu/findMenuNavTrees',
    method: 'get',
    data
  })
}
// 查找窗口菜单树
export const findSaleWindowMenuTree = (data) => {
  return axios({

    url: 'auth/menu/findSaleWindowMenuTree',
    method: 'get',
    data
  })
}

//刷新缓存
export const refreshAuth = () => {
  return axios({

    url: 'auth/menu/refreshAuth',
    method: 'post'
  })
}
//查询菜单类型列表
export const queryMenuTypes = () => {
  return axios({

    url: 'auth/common/menuTypes',
    method: 'get'
  })
}
//查询机构列表
export const queryInstitutionType = () => {
  return axios({

    url: 'auth/common/institutionTypes',
    method: 'get'
  })
}
export const queryLimitGoodsType = () => {
  return axios({

    url: 'auth/common/rightGroupTypes',
    method: 'get'
  })
}

export const queryMenuById = (data) => {
  return axios({

    url: 'auth/menu/findById',
    method: 'get',
    data

  })
}

// 菜单文件上传
export const importMenus = (data) => {
  return axios({

    headers: {
      'Content-Type': "multipart/form-data"
    },
    url: 'auth/menu/importMenus',
    method: 'post',
    data
  })
}

//所属系统、
export const querySysSystemList = () => {
  return axios({

    url: 'auth/menu/querySysSystemList',
    method: 'post'
  })
}

// //导出文件
export const exportFile = (params = {
  url: '',
  data: '',
  fileName: '导出文件',
  method: method,
}) => {
  axios({
    url: params.url, // 请求地址
    responseType: 'blob', // 表明返回服务器返回的数据类型
    data: params.data, // 参数
    method: params.method,
  }).then(res => {
    const link = document.createElement('a')
    let blob = new Blob([res], { type: 'application/vnd.ms-excel' })
    link.style.display = 'none'
    link.href = URL.createObjectURL(blob)
    link.download = params.fileName //下载的文件名
    document.body.appendChild(link)
    link.click()
    document.body.removeChild(link)
  }).catch(err => {
    console.error('导出失败')
  })
}





// 分页获取菜单列表
export const getMenuPageApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/menu/getPage',
    method: 'post',
    data
  })
}
// 新增菜单
export const addMenuApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/menu/add',
    method: 'post',
    data
  })
}
// 修改菜单
export const updateMenuApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/menu/update',
    method: 'post',
    data
  })
}
// 删除菜单
export const deleteMenuApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/menu/delete',
    method: 'post',
    data
  })
}
// 获取上级菜单列表
export const getMenuListApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/menu/getList',
    method: 'post',
    data
  })
}

// 下载模板
export const exportTemplate = data => {
	exportFile({
    url: 'system/menu/exportTemplate',
    fileName: '菜单导入模板' + dateFormat(new Date(), 'yyyyMMddhhmmss.xls'),
    data
  })
}