/** 系统中心-用户管理模块 */
import axios from '../axios'
// 获取用户列表
export const getUserPageApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/user/getPage',
    method: 'post',
    data
  })
}
// 冻结/解冻用户
export const stateChangeApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/user/stateChange',
    method: 'post',
    data
  })
}
// 新增用户
export const addUserApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/user/add',
    method: 'post',
    data
  })
}
// 修改用户
export const updateUserApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/user/update',
    method: 'post',
    data
  })
}
// 重置密码
export const resetPasswordApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/account/resetPassword',
    method: 'post',
    data
  })
}
// 获取角色列表
export const getRoleListApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/role/getList',
    method: 'post',
    data
  })
}

export const findOnLineCount = (data) => {
  return axios({
    url: 'auth/user/findUserOnlineNums',
    method: 'get',
    data
  })
}

// 分页查询
export const findAllUsers = (data) => {
  return axios({
    url: 'auth/user/findAllUsers',
    method: 'get',
    data
  })
}


// 获取业务类型分页列表
export const getBizTypePageApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    url: 'system/bizType/listPage',
    method: 'post',
    data
  })
}
// 获取业务类型列表
export const getBizTypeListApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    url: 'system/bizType/getList',
    method: 'post',
    data
  })
}
// 新增业务类型
export const addBizTypeApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    url: 'system/bizType/add',
    method: 'post',
    data
  })
}
// 修改业务类型
export const updateBizTypeApi = (data) => {
  return axios({
    headers: {
      // 'Content-Type': 'application/x-www-form-urlencoded'
      'Content-Type': 'application/json;charset=UTF-8'
    },
    url: 'system/bizType/update',
    method: 'post',
    data
  })
}