import Vue from 'vue'
import App from './App.vue'
import router from './router'
import routes from './router/routes'
import store from './store'
import jsskFrame from "bittapower-frame"
import "bittapower-frame/lib/bittapower-frame.css"
import api from './http'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import baseUrl from './config/baseURL'
import businessConfig from './config/businessConfig';


Vue.config.productionTip = false

let _router = router();
Vue.prototype.$vueRoute = _router;
Vue.prototype.$busConfig = businessConfig();

Vue.use(ElementUI)
Vue.use(api)
Vue.use(jsskFrame, { router: _router, routes, store, baseUrl: baseUrl() })
new Vue({
  router: _router,
  store,
  render: h => h(App)
}).$mount('#app')
