require('./vendors/core');
require('./vendors/md5');
require('./vendors/enc-base64');

module.exports = {
	/**
	 * 将字符串转为MD5 Array ,如需字符串，请自行调用.toString
	 * @param {Object} word
	 */
	md5: function(word) {
		return global.CryptoJS.MD5(word.toString());
	},

	/**
	 * 将array转为BASE64字符串
	 * @param {Object} wordArray
	 */
	base64: function(wordArray) {
		if (typeof wordArray == 'string') {
			wordArray = global.CryptoJS.enc.Utf8.parse(wordArray);
		}

		return global.CryptoJS.enc.Base64.stringify(wordArray);
	},

	/**
	 * 解密BASE64
	 * @param {Object} wordArray
	 */
	parseBase64: function(str) {
		var word = global.CryptoJS.enc.Base64.parse(str);
		return global.CryptoJS.enc.Utf8.stringify(word).toString();
	},

	/**
	 * 将密码先MD5,后BASE64
	 * @param {Object} pwd
	 */
	encryptPwd: function(pwd) {
				// return this.base64(this.md5(pwd));
		return this.md5(pwd).toString();
	},
};
