let dateFix = "2020-05-21 ";

export function dateFormat(date, fmt) {
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    let o = {
        'M+': date.getMonth() + 1,
        'd+': date.getDate(),
        'h+': date.getHours(),
        'm+': date.getMinutes(),
        's+': date.getSeconds()
    };
    for (let k in o) {
        if (new RegExp(`(${k})`).test(fmt)) {
            let str = o[k] + '';
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? str : padLeftZero(str));
        }
    }
    return fmt;
};

function padLeftZero(str) {
    return ('00' + str).substr(str.length);
}

export function getAllDate(begin, end) {
  let arr = [];
  let ab = begin.split('-');
  let ae = end.split('-');
  let db = new Date();
  db.setUTCFullYear(ab[0], ab[1] - 1, ab[2]);
  let de = new Date();
  de.setUTCFullYear(ae[0], ae[1] - 1, ae[2]);
  let unixDb = db.getTime() - 24 * 60 * 60 * 1000;
  let unixDe = de.getTime() - 24 * 60 * 60 * 1000;
  for (let k = unixDb; k <= unixDe;) {
    k = k + 24 * 60 * 60 * 1000;
    arr.push(dateFormat(new Date(parseInt(k)), 'yyyy-MM-dd'));
  }
  return arr;
}

// 获取日期是周几的数字  比如 参数传入2020-09-14  返回 1
export function weekday(date) {
  let dt = new Date(date);
  // let weekDay = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
  //return weekDay[dt.getDay()];
  return dt.getDay();
}
// 返回最大日期 参数格式  yyyy-MM-dd
export function maxDate(date1, date2) {
  let oDate1 = new Date(date1);
  let oDate2 = new Date(date2);
  if (oDate1.getTime() > oDate2.getTime()) {
    return date1;
  } else {
    return date2;
  }
}
// 返回最小日期 参数格式  yyyy-MM-dd
export function minDate(date1, date2) {
  let oDate1 = new Date(date1);
  let oDate2 = new Date(date2);
  if (oDate1.getTime() > oDate2.getTime()) {
    return date2;
  } else {
    return date1;
  }
}
// 返回最大时间 参数格式  HH:mm:ss
export function maxTime(time1, time2) {
  let oDate1 = new Date(dateFix + time1);
  let oDate2 = new Date(dateFix + time2);
  if (oDate1.getTime() > oDate2.getTime()) {
    return time1;
  } else {
    return time2;
  }
}

// 返回最小时间 参数格式  HH:mm:ss
export function minTime(time1, time2) {
  let oDate1 = new Date(dateFix + time1);
  let oDate2 = new Date(dateFix + time2);
  if (oDate1.getTime() > oDate2.getTime()) {
    return time2;
  } else {
    return time1;
  }
}

// 判断是否存在使用日期交集
// TODO 校验日期格式
export function isDateIntersection(start1, end1, start2, end2) {
  let startDate1 = new Date(start1.replace("-", "/").replace("-", "/"));
  let endDate1 = new Date(end1.replace("-", "/").replace("-", "/"));

  let startDate2 = new Date(start2.replace("-", "/").replace("-", "/"));
  let endDate2 = new Date(end2.replace("-", "/").replace("-", "/"));

  if (startDate1 >= startDate2 && startDate1 <= endDate2) {
    return true;
  }

  if (endDate1 >= startDate2 && endDate1 <= endDate2) {
    return true;
  }

  if (startDate1 <= startDate2 && endDate1 >= endDate2) {
    return true;
  }
  return false;
}


// TODO 校验时间格式
// 判断是否存在使用时间交集
export function isTimeIntersection(start1, end1, start2, end2) {
  start1 = dateFix + start1;
  end1 = dateFix + end1;
  start2 = dateFix + start2;
  end2 = dateFix + end2;
  return isDateIntersection(start1, end1, start2, end2)
}

// 判断日期是否正确
export function isDateFormat(date) {
  let dates = '';
  if (date == '' || date == null || date == '1970-01-01') {
    dates = '';
  } else {
    dates = date;
  }
  return dates;
}