/**
 *  导出组件
 *  version:1.0.1
 *  created by ZLD
 *  调用方法：exports（地址,数据
 *  exports('xx',obj)     
 */

import Vue from 'vue';
import axios from "axios";

function getParam(data) {
    let url = '';
    for (var k in data) {
        let value = data[k] !== undefined ? data[k] : '';
        url += `&${k}=${encodeURIComponent(value)}`
    }
    return url ? url.substring(1) : ''
}
//最终获取带参数的url方法
function newUrl(url, data) {
    //看原始url地址中开头是否带?，然后拼接处理好的参数
    return url += (url.indexOf('?') < 0 ? '?' : '') + getParam(data)
}

function exportExcel(url, from) {
    return axios({ // 用axios发送post请求
        method: 'get',
        url: decodeURI(newUrl(url, from)), // 请求地址
        data: {}, // 参数
        responseType: 'blob', // 表明返回服务器返回的数据类型
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        }
    })
}
export { exportExcel };
function exports(url, from, exname) {

    let iframe = document.createElement("iframe")
    iframe.style.display = "none";
    iframe.src = decodeURI(newUrl(url, from));
    document.body.appendChild(iframe);
}
export { exports };


