/**
 * 字符串处理
 * version:1.0.0
 * created by Max/jingming.li@jieshunpay.cn
 */

/**
 * 替换回车符号
 * 去掉头尾空格，保留中间空格
 */
export const replaceEnter = (txt) => {
  if(typeof txt == 'string'){
    return txt.replace(/(^\s*)|(\s*$)/g, "");
  }else{
    return txt;
  }

};

/**
 * 数量大于等于1万且第一位小数不是0的时候保留1位小数
 * 例如10001显示为1万，10500显示为1.1万
 */
export const fomatLargeNum = (src, pos) => {
	return Math.round((src / 10000) * Math.pow(10, pos)) / Math.pow(10, pos);
}

// 随机字符串
export const randomString = (len = 32) => {　　
	var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';　　
	var maxPos = chars.length;　　
	var pwd = '';　　
	for(let i = 0; i < len; i++) {　　
		pwd += chars.charAt(Math.floor(Math.random() * maxPos));
	}
	return pwd;
}
