const {
  defineConfig
} = require('@vue/cli-service')
const isProduction = process.env.NODE_ENV === 'production'; // 是否为生产环境
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  publicPath: isProduction ? "./" : "/",
  assetsDir: "static",
  productionSourceMap: !isProduction,
  css: {
    loaderOptions: {
      scss: {
        additionalData: `@import "~@/styles/variables.scss";`
      },
    }
  }
})
